Package org.apache.groovy.parser.antlr4.internal.atnmanager

# Class AtnManager.AtnWrapper

java.lang.Object
org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager.AtnWrapper

Enclosing class:
  AtnManager

protected class AtnManager.AtnWrapper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtnWrapper(org.antlr.v4.runtime.atn.ATN atn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.antlr.v4.runtime.atn.ATN`
  `checkAndClear()`
  `void`
  `clearDFA()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtnWrapper

    public AtnWrapper(org.antlr.v4.runtime.atn.ATN atn)

- ## Method Details

  - ### checkAndClear

    public org.antlr.v4.runtime.atn.ATN checkAndClear()

  - ### clearDFA

    public void clearDFA()